//
//  PRConfig+Style.h
//  PR-API
//
//  Created by berec on 14/03/2019.
//  Copyright © 2019 NewspaperDirect. All rights reserved.
//

#import <PRConfiguration/PRConfig.h>

NS_ASSUME_NONNULL_BEGIN

#define COLOR_BRAND _PRCONFIG_INT_(@"COLOR_BRAND", 2868364)
#define COLOR_BRAND_DARK _PRCONFIG_INT_(@"COLOR_BRAND_DARK", PRConfig.isBrandEdition ? COLOR_BRAND : 2467703)

#define COLOR_BACKGROUND _PRCONFIG_INT_(@"COLOR_BACKGROUND", 0xFAFAFA)
#define COLOR_BACKGROUND_DARK _PRCONFIG_INT_(@"COLOR_BACKGROUND_DARK", 0x232425)

#define COLOR_SECONDARY_BACKGROUND _PRCONFIG_INT_(@"COLOR_SECONDARY_BACKGROUND", 0xF0F0F0)
#define COLOR_SECONDARY_BACKGROUND_DARK _PRCONFIG_INT_(@"COLOR_SECONDARY_BACKGROUND_DARK", 0x39393A)

#define COLOR_LINKS_BACKGROUND _PRCONFIG_INT_(@"COLOR_LINKS_BACKGROUND", ((COLOR_BRAND << 8) | 0x0000000F))
#define COLOR_LINKS_UNDERLINE _PRCONFIG_INT_(@"COLOR_LINKS_UNDERLINE", ((COLOR_BRAND << 8) | 0x000000FF))

#define SPLASH_BG_GRADIENT_START_COLOR _PRCONFIG_INT_(@"SPLASH_BG_GRADIENT_START_COLOR", 0x00000000)
#define SPLASH_BG_GRADIENT_END_COLOR _PRCONFIG_INT_(@"SPLASH_BG_GRADIENT_END_COLOR", 0x000000FF)

#define NAVIGATION_BAR_HAS_BLUR _PRCONFIG_BOOL_(@"NAVIGATION_BAR_HAS_BLUR", !PRConfig.isBrandEdition)

#define SPLITVIEW_MASTER_PANEL_HAS_CUSTOM_BACKGROUND    _PRCONFIG_BOOL_(@"SPLITVIEW_MASTER_PANEL_HAS_CUSTOM_BACKGROUND", NO)

@interface PRConfig (Style)
@property (class, nonatomic, readonly) BOOL buttonsHaveFullyRoundedCorners;
@property (class, nonatomic, readonly) BOOL splitviewMastPanelHasCustomBackground;

@property (class, nonatomic, readonly) NSInteger darkThemeLogoColor;

@end

NS_ASSUME_NONNULL_END
